Get agent details
curl --request GET \
--url https://neo.api.projectdiscovery.io/api/v1/agents/{id}import requests
url = "https://neo.api.projectdiscovery.io/api/v1/agents/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://neo.api.projectdiscovery.io/api/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"has_dynamic_tools": true,
"has_memory": true,
"id": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"tools_count": 123,
"tools": [
"<string>"
]
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Agents
Get agent details
Get detailed information about a specific agent (native or user).
GET
/
api
/
v1
/
agents
/
{id}
Get agent details
Path Parameters
Agent ID (snake_case for native, custom ID for user agents)
⌘I

